package org.implab.gradle.containers.tasks;

import java.io.IOException;
import org.gradle.api.provider.Property;
import org.gradle.api.tasks.Input;
import org.gradle.api.tasks.TaskAction;

public abstract class TagImage extends DockerCliTask {
    @Input
    public abstract Property<String> getSrcImage();

    @Input
    public abstract Property<String> getDestImage();

    @TaskAction
    public void run() throws InterruptedException, IOException {
        docker().tagImage(
                getSrcImage().get(),
                getDestImage().get());
    }
}
